from fastapi import APIRouter

from .instance_routes import router as instance_router
from .auth_routes import router as auth_router
from .user_routes import router as user_router
from .memo_routes import router as memo_router
from .attachment_routes import router as attachment_router
from .shortcut_routes import router as shortcut_router
from .activity_routes import router as activity_router
from .idp_routes import router as idp_router
from .embedding_routes import router as embedding_router


router = APIRouter(prefix="/api/v1")


router.include_router(instance_router, tags=["instance"])
router.include_router(auth_router, tags=["auth"])
router.include_router(user_router, tags=["users"])
router.include_router(memo_router, tags=["memos"])
router.include_router(attachment_router, tags=["attachments"])
router.include_router(shortcut_router, tags=["shortcuts"])
router.include_router(activity_router, tags=["activities"])
router.include_router(idp_router, tags=["idp"])
router.include_router(embedding_router, tags=["memo-embeddings"])


